> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bevor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# list analyses

> list analyses using various search parameters. Returns a paginated response.



## OpenAPI

````yaml /api-reference/openapi.json get /analyses
openapi: 3.0.0
info:
  title: BevorAI API
  version: 1.0.0
servers: []
security: []
tags:
  - name: project
    description: Managing projects, which are used to group code versions
  - name: code
    description: >-
      Used for retrieving or creating smart contract references. Required for
      creating analyses.
  - name: analysis
    description: Managing security analyses
  - name: chat
    description: Chat functionality for interacting with audit results
paths:
  /analyses:
    get:
      tags:
        - analysis
      summary: list analyses
      description: >-
        list analyses using various search parameters. Returns a paginated
        response.
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            nullable: true
            default: 0
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            nullable: true
            default: 0
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            nullable: true
            default: 20
        - name: project_id
          in: query
          required: false
          schema:
            type: string
            nullable: true
        - name: project_slug
          in: query
          required: false
          schema:
            type: string
            nullable: true
        - name: user_id
          in: query
          required: false
          schema:
            type: string
            nullable: true
        - name: trigger
          in: query
          required: false
          schema:
            type: string
            enum:
              - manual_run
              - chat
              - manual_edit
              - fork
              - merge
            nullable: true
        - name: code_version_id
          in: query
          required: false
          schema:
            type: string
            nullable: true
        - name: root_node_id
          in: query
          required: false
          schema:
            type: string
            nullable: true
        - name: is_leaf
          in: query
          required: false
          schema:
            type: boolean
            nullable: true
        - name: is_root
          in: query
          required: false
          schema:
            type: boolean
            nullable: true
        - name: order_by
          in: query
          required: false
          schema:
            type: string
            enum:
              - created_at
              - updated_at
            nullable: true
            default: created_at
        - name: order
          in: query
          required: false
          schema:
            type: string
            enum:
              - desc
              - asc
            nullable: true
            default: desc
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  results:
                    items:
                      $ref: '#/components/schemas/AnalysisNodeIndex'
                    title: Results
                    type: array
                  page:
                    title: Page
                    type: integer
                  page_size:
                    title: Page Size
                    type: integer
                  more:
                    title: More
                    type: boolean
                  total_pages:
                    title: Total Pages
                    type: integer
                required:
                  - page
                  - page_size
                  - more
                  - total_pages
                title: Pagination[AnalysisNodeIndex]
                type: object
        '400':
          description: Error Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - BearerAuth: []
components:
  schemas:
    AnalysisNodeIndex:
      properties:
        id:
          title: Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        user:
          type: string
        team_id:
          title: Team Id
          type: string
        team_slug:
          title: Team Slug
          type: string
        project_id:
          title: Project Id
          type: string
        project_slug:
          title: Project Slug
          type: string
        is_owner:
          title: Is Owner
          type: boolean
        trigger:
          type: string
        n_findings:
          title: N Findings
          type: integer
        n_scopes:
          title: N Scopes
          type: integer
        code_version_id:
          title: Code Version Id
          type: string
        is_leaf:
          title: Is Leaf
          type: boolean
        is_public:
          title: Is Public
          type: boolean
        root_node_id:
          title: Root Node Id
          type: string
        parent_node_id:
          type: string
        children:
          items:
            type: string
          title: Children
          type: array
        'n':
          title: 'N'
          type: integer
      required:
        - id
        - created_at
        - user
        - team_id
        - team_slug
        - project_id
        - project_slug
        - is_owner
        - trigger
        - n_findings
        - n_scopes
        - code_version_id
        - is_leaf
        - is_public
        - root_node_id
        - 'n'
      title: AnalysisNodeIndex
      type: object
    ApiError:
      properties:
        code:
          enum:
            - auth.session_expired
            - auth.session_revoked
            - auth.session_invalid
            - auth.user_does_not_exist
            - auth.invalid_team_membership
            - auth.unauthorized
            - auth.key_revoked
            - auth.key_invalid
            - auth.payment_required
            - error.not_found
            - error.validation
            - error.server
            - error.invalid_scope
            - error.limit
            - error.entity_deletedcompiler.error
            - compiler.validation_error
            - compiler.authorization_error
            - compiler.not_found_error
            - compiler.invalid_version_error
            - compiler.old_version_error
            - explorer.contract_not_verified_error
            - explorer.contract_not_found_error
            - explorer.contract_fetch_error
            - compiler.internal_error
            - compiler.binary_error
            - compiler.compiler_error
            - ast.invalid_node
            - ast.invalid_reference
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ApiError
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key in Bearer token format

````